﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTTE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_INFO')
 CREATE TABLE T_WTTE_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FFROZENTO DATETIME,
FACCOUNTTO DATETIME,
FLOCKTO DATETIME,
FSTORAGETO DATETIME,
FBACKTRACKTIME DATETIME,
FACCOUNTERRORTIME DATETIME,
FALLOWREACCOUNTTIME DATETIME,
FISSTOPEVALUATE CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPERSONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_INFO_L') 
 CREATE TABLE T_WTTE_INFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERSONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_INFOHIS') 
 CREATE TABLE T_WTTE_INFOHIS (
FVID BIGINT DEFAULT 0 NOT NULL,
FFROZENTO DATETIME,
FACCOUNTTO DATETIME,
FLOCKTO DATETIME,
FSTORAGETO DATETIME,
FBACKTRACKTIME DATETIME,
FACCOUNTERRORTIME DATETIME,
FALLOWREACCOUNTTIME DATETIME,
FISSTOPEVALUATE CHAR(1) DEFAULT ' ' NOT NULL,
FPERSONNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERSONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_INFOHIS_L') 
 CREATE TABLE T_WTTE_INFOHIS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERSONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTTE_table.sql **/
