﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\WTTE_constraint.sql **/
 EXEC P_ALTERPK 'PK_WTTE_ATTSTATERECORD', 'T_WTTE_ATTSTATERECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_ASRECORD_FDETAIL') CREATE INDEX IDX_WTTE_ASRECORD_FDETAIL ON T_WTTE_ATTSTATERECORD ( FTASKDETAIL );


 EXEC P_ALTERPK 'PK_WTTE_SETTLE', 'T_WTTE_SETTLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SETTLE_FTASKID') CREATE INDEX IDX_WTTE_SETTLE_FTASKID ON T_WTTE_SETTLE ( FTASKID );


 EXEC P_ALTERPK 'PK_WTTE_SETTLESUBTASK', 'T_WTTE_SETTLESUBTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SEST_FTASKID') CREATE INDEX IDX_WTTE_SEST_FTASKID ON T_WTTE_SETTLESUBTASK ( FTASKID );


 EXEC P_ALTERPK 'PK_WTTE_SETTLETASK', 'T_WTTE_SETTLETASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SETASK_FVERSION') CREATE INDEX IDX_WTTE_SETASK_FVERSION ON T_WTTE_SETTLETASK ( FVERSION );


 EXEC P_ALTERPK 'PK_WTTE_SETTLETASK_L', 'T_WTTE_SETTLETASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SETTLETASK_L') CREATE INDEX IDX_WTTE_SETTLETASK_L ON T_WTTE_SETTLETASK_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_WTTE_SETTLETASKDETAIL', 'T_WTTE_SETTLETASKDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SETASKDETAILTID') CREATE INDEX IDX_WTTE_SETASKDETAILTID ON T_WTTE_SETTLETASKDETAIL ( FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SETD_FILE') CREATE INDEX IDX_WTTE_SETD_FILE ON T_WTTE_SETTLETASKDETAIL ( FATTFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SETASKDETAILSTID') CREATE INDEX IDX_WTTE_SETASKDETAILSTID ON T_WTTE_SETTLETASKDETAIL ( FSUBTASKID );


 EXEC P_ALTERPK 'PK_WTTE_SETTLEINFO', 'T_WTTE_SETTLEINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SI_FTDID') CREATE INDEX IDX_WTTE_SI_FTDID ON T_WTTE_SETTLEINFO ( FTASKDETAILID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SETTLE_FILE') CREATE INDEX IDX_SETTLE_FILE ON T_WTTE_SETTLEINFO ( FATTFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SETTLE_PERSON') CREATE INDEX IDX_SETTLE_PERSON ON T_WTTE_SETTLEINFO ( FATTPERSONID );


 EXEC P_ALTERPK 'PK_WTTE_SETTLEINFOHIS', 'T_WTTE_SETTLEINFOHIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_SIHIS_FTDID') CREATE INDEX IDX_WTTE_SIHIS_FTDID ON T_WTTE_SETTLEINFOHIS ( FTASKDETAILID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SETTLEHIS_FILE') CREATE INDEX IDX_SETTLEHIS_FILE ON T_WTTE_SETTLEINFOHIS ( FATTFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SETTLEHIS_PERSON') CREATE INDEX IDX_SETTLEHIS_PERSON ON T_WTTE_SETTLEINFOHIS ( FATTPERSONID );



/**End D:\PDM\PDM_UPGRADE\pdm1\WTTE_constraint.sql **/
