﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTTE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_CALREPORT') 
 CREATE TABLE T_WTTE_CALREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FJSONTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
FJSONTEXT_TAG NCLOB DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FTOTALTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUM INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_CALREPORTEX') 
 CREATE TABLE T_WTTE_CALREPORTEX (
FID BIGINT DEFAULT 0 NOT NULL,
FLABELINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FLABELINFO_TAG NCLOB DEFAULT ' ',
FCALREPORTID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_TIELINESTATE')
CREATE TABLE T_WTTE_TIELINESTATE
(
    FLINEID BIGINT NOT NULL,
    FATTPERSONID BIGINT,
    FBEGINDATE TIMESTAMP,
    FENDDATE TIMESTAMP,
    FCHAINSUM BIGINT,
    FCHAINFINISH BIGINT,
    FTIETODATE TIMESTAMP,
    FSTATUS VARCHAR(50) DEFAULT ' '  NOT NULL,
    FMESSAGE VARCHAR(255) DEFAULT ' '  NOT NULL,
    FMESSAGELEVEL VARCHAR(50) DEFAULT ' '  NOT NULL,
    FBEGINTIME TIMESTAMP,
    FENDTIME TIMESTAMP,
    FTIEENGINGID BIGINT,
	FTASKID BIGINT,
    FTASKSTATUSREFRESHTIME TIMESTAMP
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_TIEENGINGSTATE')
CREATE TABLE T_WTTE_TIEENGINGSTATE
(
    FTIEENGINGID BIGINT NOT NULL,	
    FTASKID BIGINT,
    FVERSION VARCHAR(50) DEFAULT ' '  NOT NULL,
    FREQUEST NCLOB,
    FLINESUM BIGINT,
    FLINESUCCESS BIGINT,
    FLINEFAILED BIGINT,
    FLINENOTRUN BIGINT,
    FCHAINSUM BIGINT,
    FCHAINFINISH BIGINT,
    FSTATUS VARCHAR(50) DEFAULT ' '  NOT NULL,
    FMESSAGE VARCHAR(200) DEFAULT ' '  NOT NULL,
    FMESSAGELEVEL VARCHAR(50) DEFAULT ' '  NOT NULL,
    FBEGINTIME TIMESTAMP,
    FENDTIME TIMESTAMP,
    FTASKSTATUSREFRESHTIME TIMESTAMP
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTTE_table.sql **/
