
/**Begin D:\PDM_UPGRADE\PDM1\WTTE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_EXRECORD_L')
 CREATE TABLE T_WTTE_EXRECORD_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_EXRECORDHIS_L')
 CREATE TABLE T_WTTE_EXRECORDHIS_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_EXRECORD')
 CREATE TABLE T_WTTE_EXRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FSHFITID BIGINT DEFAULT 0 NOT NULL,
FEXATTRIBUTEID BIGINT DEFAULT 0 NOT NULL,
FATTITEMVID BIGINT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FATTITEMVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONFIRMSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIRMPERSONID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FEXPROCESSID BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME,
FEXORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL,
FSHIFTVID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAFFILIATEADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FPUNCHCARDPAIRID BIGINT DEFAULT 0 NOT NULL,
FTBPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FATTITEMORVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_EXRECORDHIS')
 CREATE TABLE T_WTTE_EXRECORDHIS (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FSHFITID BIGINT DEFAULT 0 NOT NULL,
FEXATTRIBUTEID BIGINT DEFAULT 0 NOT NULL,
FATTITEMVID BIGINT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FATTITEMVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONFIRMSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIRMPERSONID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FRECORDDATE DATETIME,
FEXORGID BIGINT DEFAULT 0 NOT NULL,
FEXPROCESSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL,
FSHIFTVID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAFFILIATEADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FPUNCHCARDPAIRID BIGINT DEFAULT 0 NOT NULL,
FTBPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FATTITEMORVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_HISEXMULTIITEM')
 CREATE TABLE T_WTTE_HISEXMULTIITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_EXMULTIITEM')
 CREATE TABLE T_WTTE_EXMULTIITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_EXMULTIITEMHIS')
 CREATE TABLE T_WTTE_EXMULTIITEMHIS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_HISEXMULTIITEMHIS')
 CREATE TABLE T_WTTE_HISEXMULTIITEMHIS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\WTTE_table.sql **/

