﻿/**Begin D:\sources\PDM_UPGRADE\PDM1\WTTE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_TIESUBTASK') 
 CREATE TABLE T_WTTE_TIESUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FREFRESHTIME DATETIME,
FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_TIETASK_L') 
 CREATE TABLE T_WTTE_TIETASK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_TIETASKDETAIL') 
 CREATE TABLE T_WTTE_TIETASKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
FATTTAGID BIGINT DEFAULT 0 NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FREALCALSTARTDATE DATETIME,
FREALCALENDDATE DATETIME,
FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FWTTEINFOID BIGINT DEFAULT 0 NOT NULL,
FOPERATE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_TIETASK') 
 CREATE TABLE T_WTTE_TIETASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FCALSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
FCALSTARTDATE DATETIME,
FCALENDDATE DATETIME,
FTOTALATTFILE INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\sources\PDM_UPGRADE\PDM1\WTTE_table.sql **/
