﻿/**Begin D:\sources\PDM_UPGRADE\PDM1\WTTE_constraint.sql **/
 EXEC P_ALTERPK 'PK_WTTE_QTCALCULATE', 'T_WTTE_QTCALCULATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTCALCULATE_FVERSION') CREATE INDEX IDX_WTTE_QTCALCULATE_FVERSION ON T_WTTE_QTCALCULATE ( FVERSION );


 EXEC P_ALTERPK 'PK_WTTE_QTCALCULATE_L', 'T_WTTE_QTCALCULATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTCALCULATE_L') CREATE INDEX IDX_WTTE_QTCALCULATE_L ON T_WTTE_QTCALCULATE_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_WTTE_DYQTTYPEID', 'T_WTTE_DYQTTYPEID', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_DYQTTYPEID') CREATE INDEX IDX_WTTE_DYQTTYPEID ON T_WTTE_DYQTTYPEID ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_WTTE_QTTYPEID', 'T_WTTE_QTTYPEID', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTTYPEID') CREATE INDEX IDX_WTTE_QTTYPEID ON T_WTTE_QTTYPEID ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_WTTE_QTTIETASK', 'T_WTTE_QTTIETASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTTIETASK_FTASKID') CREATE INDEX IDX_WTTE_QTTIETASK_FTASKID ON T_WTTE_QTTIETASK ( FTASKID );


 EXEC P_ALTERPK 'PK_WTTE_QTTIETASK_L', 'T_WTTE_QTTIETASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTTIETASK_L') CREATE INDEX IDX_WTTE_QTTIETASK_L ON T_WTTE_QTTIETASK_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_WTTE_QTTIESUBTASK', 'T_WTTE_QTTIESUBTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTTIESUBTASK_FTASKID') CREATE INDEX IDX_WTTE_QTTIESUBTASK_FTASKID ON T_WTTE_QTTIESUBTASK ( FTASKID );


 EXEC P_ALTERPK 'PK_WTTE_QTTIETASKDETAIL', 'T_WTTE_QTTIETASKDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTTIETASKDETAIL_FTID') CREATE INDEX IDX_WTTE_QTTIETASKDETAIL_FTID ON T_WTTE_QTTIETASKDETAIL ( FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_QTTIETASKDETAIL_FSID') CREATE INDEX IDX_WTTE_QTTIETASKDETAIL_FSID ON T_WTTE_QTTIETASKDETAIL ( FSUBTASKID );



/**End D:\sources\PDM_UPGRADE\PDM1\WTTE_constraint.sql **/
